Summary: Command line multimedia player based on gstreamer
Name: gst123
Version: 0.3.3
Release: 4%{?dist}
URL: http://space.twc.de/~stefan/gst123.php
Source: http://space.twc.de/~stefan/gst123/%{name}-%{version}.tar.bz2

License: LGPLv2
Group: Applications/Multimedia

BuildRequires: gstreamer1-devel
BuildRequires: gstreamer1-plugins-base-devel
BuildRequires: gtk2-devel
BuildRequires: libX11-devel
BuildRequires: ncurses-devel

%description

The program gst123 is designed to be a more flexible command line player 
in the spirit of ogg123 and mpg123, based on gstreamer. It plays all file 
formats gstreamer understands, so if you have a music collection which 
contains different file formats, you can use gst123 to play all your 
music files.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files

%{_bindir}/gst123
%{_mandir}/man1/gst123.1.gz
%doc COPYING AUTHORS README NEWS

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Feb 11 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.3.3-2
- Use gstreamer1.

* Tue Feb 11 2014 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.3.3-1
- New upstream 0.3.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun  2 2012 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.3.1-1
- New upstream 0.3.1

* Thu Mar 15 2012 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.2.2-2
- Remove unnecessary patches

* Thu Mar 15 2012 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.2.2-1
- New upstream 0.2.2

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-5
- Rebuilt for c++ ABI breakage

* Tue Jan 17 2012 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.2.1-4
- Don't depend on someone else to include unistd.h. Fixes FTBFS on gcc4.7

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.2.1-2
- Rebuild for new libpng

* Sun Jul 31 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.2.1-1
- New upstream bug fix release
- Clean up spec to match current guidelines

* Sat Jul 30 2011 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.2.0-1
- New upstream 0.2.0

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan  3 2011 Siddhesh Poyarekar <siddhesh@redhat.com> - 0.1.3-2
- Don't crash with terminals that don't define all escape sequences.
  Closes bz #666059.

* Wed Dec 08 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.1.3-1
- rebase to upstream 0.1.3. Closes bz #611636

* Tue Jul 06 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.1.2-1
- rebase to upstream 0.1.2. Closes bug 611587, 603681

* Thu Jun 10 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.1.0-3
- Add gstreamer-plugins-base-devel to BuildRequires

* Thu Jun 10 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.1.0-2
- Removed the mp3 reference from description. We only play formats 
  gstreamer understands

* Wed Jun 09 2010 Siddhesh Poyarekar <spoyarek@redhat.com> - 0.1.0-1
- New package
- Fix FTBFS with binutils-gold due to indirect link with libX11

